<%- include('includes/head', {Title: 'creer-compte', fichier: 'creer-compte'})%>
<link rel="stylesheet" href="css/connexion.css" type="text/css">
</head>
<body>
  <%- include('includes/header') %>
  <main id="signup">
    <video id="background-video" autoplay loop muted>
      <source src="video/videoBackground.mp4" type="video/mp4">
    </video>
    <div id="first_div">
      <h1>
        Créer un compte
      </h1>
      <% if (inputData.hasError) {%>
        <p id="input-error">
          <%= inputData.message %>
        </p>
      <% } %>
      <section id="input_connexion">
        <form action="/creer-compte" method="POST">
          <div class="form-control">
            <label for="text">Nom : </label>
            <input type="text" id="text" name="nom" value="<%= inputData.nom %>" required>
          </div>
          <div class="form-control">
            <label for="text">Prénom : </label>
            <input type="text" id="text" name="prenom" value="<%= inputData.prenom %>" required>
          </div>
          <div class="form-control">
            <label for="text">Nom d'utilisateur : </label>
            <input type="text" id="text" name="nom_dutilisateur" value="<%= inputData.nom_dutilisateur %>" required>
          </div>
          <div class="form-control">
            <label for="email">Email : </label>
            <input type="email" id="email" name="email" value="<%= inputData.email %>" required>
          </div>
          <div class="form-control">
            <label for="confirm-email">Confirmation de l'email : </label>
            <input type="email" id="confirm-email" name="confirm-email" value="<%= inputData.confirmEmail %>" required>
          </div>
          <div class="form-control">
            <label for="password">Mot de passe</label>
            <input type="password" id="password" name="password" value="<%= inputData.password %>" required>
          </div>
          <div class="form-control">
            <label for="confirm-Password">confirmation du mot de passe</label>
            <input type="password" id="confirm-password" name="confirm-password" value="<%= inputData.confirmPassword %>" required>
          </div>
          <button class="custom-cursor">
            Créer l'utilisateur
          </button>
        </form>
      </section>
    </div>
  </main>
  <%- include('includes/footer') %>
</body>
</html>